/**
 * Problem 1: Slippery pairs
 * 
 * Op 2019
 *
 * Copyright 2019 Robert. W. Hasker
 *
 */

import java.util.*;

public class Prob1 {
  public static void main(String[] args)
  {
    final char a = inputChar("First lowercase letter: ");
    final char b = inputChar("Second lowercase letter: ");
    final String inputLine = inputLine("Line: ");
    final char[] text = inputLine.toCharArray();
    
    int count = 0;
    
    for(int i = 0; i < text.length - 1; ++i) {
      if ( text[i] == a && text[i + 1] == b 
           || text[i] == b && text[i + 1] == a )
        ++count;
    }
    
    System.out.println("Count of " + a + "+" + b + " and " + b + "+" + a + ": " 
                       + count);
  }

  private static char inputChar(String prompt)
  {
    System.out.print(prompt);
    return sc.next(".").charAt(0);
  }

  private static String inputLine(String prompt)
  // Simple prompt for a line of text
  {
    System.out.print(prompt);
    String result;
    // Key here is to discard empty lines (including \n's left in the buffer), but we make it a bit more robust to whitespace...
    do {
      result = sc.nextLine();
      result = result.trim();
    } while (result.length() == 0);
    return result;
  }

  private final static Scanner sc = new Scanner(System.in);
}
