/**
 * Problem 2: Shifting people
 * 
 * Op 2019
 *
 * Copyright 2019 Robert. W. Hasker
 *
 */

import java.util.*;

public class Prob2 {
  public static void main(String[] args)
  {
    final int v1_passengers = inputInt("Number of passengers carried by vehicle 1: ");
    final float v1_mpg = inputFloat("Miles per gallon for vehicle 1: ");
    final int v2_passengers = inputInt("Number of passengers carried by vehicle 2: ");
    final float v2_mpg = inputFloat("Miles per gallon for vehicle 2: ");
    
    final float gal_per_100_mile_1 = 100 / v1_mpg / v1_passengers;
    final float gal_per_100_mile_2 = 100 / v2_mpg / v2_passengers;
    
    if ( gal_per_100_mile_1 < gal_per_100_mile_2 ) {
      System.out.println("More efficient: vehicle 1");
      System.out.println("Gallons per 100 miles per passenger: " + gal_per_100_mile_1);
    } else {
      System.out.println("More efficient: vehicle 2");
      System.out.println("Gallons per 100 miles per passenger: " + gal_per_100_mile_2);
    }
  }

  /**
   * prompt for int, skipping any invalid preamble
   * @param prompt prompt to display
   * @return the entered int
   */
  private static int inputInt(String prompt)
  {
    System.out.print(prompt);
    while (!sc.hasNextInt())
      sc.next(); // discard non-int token
    int retVal = sc.nextInt();
    sc.nextLine(); // dump CR from stream
    return retVal;
  }

  /**
   * prompt for a float, skipping any invalid preamble
   * @param prompt prompt to display
   * @return the entered float
   */
  private static float inputFloat(String prompt)
  {
    System.out.print(prompt);
    while (!sc.hasNextFloat())
      sc.next(); // discard non-matching token
    float retVal = sc.nextFloat();
    sc.nextLine(); // dump CR from stream
    return retVal;
  }

  private final static Scanner sc = new Scanner(System.in);
}
