# OP 2019 - Problem 6: Poet's cipher

# Copywrite 2019 Robert Hasker

def read_input(filename):
    reading_poem = True
    poem = []
    cipher = []
    file = open(filename, 'r') 
    for line in file:
        words = line.split()
        if reading_poem:
            if len(words) == 1 and words[0] == "END":
                reading_poem = False
            else:
                poem.append(words)
        else:
            cipher = words
    return [poem, cipher]

def dump_poem(poem):
    count = 0
    for line in poem:
        print("Line " + str(count) + ": " + ' '.join(line))
        count += 1

def print_char(address, poem):
    line = int(address[0]) * 10 + int(address[1]) - 1
    word = int(address[2]) - 1
    char = int(address[3]) - 1
    print(poem[line][word][char], end='')

def main():
    poem = []
    filename = input("Enter file name for poem and ciphertext: ")
    [poem, cipher] = read_input(filename)
    #dump_poem(poem)
    #print("Ciphertext: " + ', '.join(cipher))
    print("message: ", end='')
    for x in cipher:
        print_char(x, poem)
    print()

main()
