# OP 2019 - Problem 5: Lucky 13

# Copywrite 2019 Robert Hasker

import math

def dump_grid(nums):
    for row in nums:
        for col in range(0, 5):
            print(str(row[col]) + " ", end='')
        print()

def thirteen(a, b, c):
    return a + b + c == 13

def horizontal_triples(nums):
    result = []
    for row in nums:
        for i in range(0, 3):
            if thirteen(row[i], row[i+1], row[i+2]):
                result.append((row[i], row[i+1], row[i+2]))
    return result

def vertical_triples(nums):
    copy = []
    for row in nums:
        copy.append([1, 2, 3, 4, 5])
    for row in range(0, 5):
        for col in range(0, 5):
            copy[col][row] = nums[row][col]
    vtrips = horizontal_triples(copy)
    return vtrips

def print_triple(triple):
    [a, b, c] = sorted(triple)
    print(str(a) + ", " + str(b) + ", " + str(c))

def main():
    filename = input("Enter name of file containing grid: ")
    file = open(filename, 'r') 
    nums = []
    for line in file:
        words = [int(n) for n in line.split()]
        nums.append(words)
    #dump_grid(nums)
    horizontal = horizontal_triples(nums)
    vertical   = vertical_triples(nums)
    print("All triples:")
    # sorting all triples is not required
    all = sorted(horizontal + vertical)
    for t in all:
        print_triple(t)

main()
